sysmon: xsysmon_intr_printf_example.c File Reference

| sysmon Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xsysmon_intr_printf_example.c File Reference

## Overview

This file contains a design example using the driver functions of the System Monitor/ADC driver.

This example here shows the usage of the driver/device in interrupt mode to handle on-chip temperature and voltage alarm interrupts.

Note

This code assumes that no Operating System is being used.

The values of the on-chip Temperature, VccInt voltage and VccAux voltage are read from the device and then the alarm thresholds are set in such a manner that the alarms occur.

This examples also assumes that there is a STDIO device in the system. This example has floating point calculations and uses printfs for outputting floating point data, therefore the memory allocated for the Stack must be more.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00a xd/sv  05/22/07 First release
    2.00a sv     06/22/08 Added printfs and used conversion macros
    4.00a ktn    10/22/09 Updated the example to use HAL Processor APIs/macros.
                    Updated the example to use macros that have been
                    renamed to remove _m from the name of the macro.
    5.01a bss    03/13/12 Updated for Zynq.
    5.03a bss    04/25/13 Modified SysMonIntrExample function to set
                    Sequencer Mode as Safe mode instead of Single
                    channel mode before configuring Sequencer registers.
                    CR #703729
    7.3   ms   01/23/17 Added xil_printf statement in main function to
                        ensure that "Successfully ran" and "Failed" strings
                        are available in all examples. This is a fix for
                        CR-965028.
          ms   04/05/17 Modified Comment lines in functions to
                        recognize it as documentation block for doxygen
                        generation.

## Functions
int | main (void)
| Main function that invokes the Interrupt example. More...

## Function Documentation

int main | ( | void |  | ) |

Main function that invokes the Interrupt example.

Parameters

  None. |

Returns
  - XST_SUCCESS if the example has completed successfully.
  - XST_FAILURE if the example has failed.

Note
  None.

References SysMonIntrExample().